Welcome

PalmBFL
A True Companion of Body-for-LIFE


Introduction

PalmBFL is software, which will help you to manage the activities such as exercises and meals if you are following or planning Body-for-LIFE program. It has 2 components, the handheld application and desktop application. Body-for-LIFE program is a 12-week program to improve your mental and physical strength. The major steps in which the program helps you to achieve the strength are setting goals, doing strength training and aerobics, taking meals at regular intervals, and tracking progress. For more details about the program, Please refer to Body-for-LIFE book. You can purchase it online from link on our website http://www.palmbfl.com

This guide is addressed to the individual who is following Body-for-LIFE program or is planning to do so. It provides complete instructions for using PalmBFL software. It is assumed that reader is familiar with the basic features and operations of the Palm device, Graffiti as well as Microsoft® Windows® operating system, and using mouse.


Requirements

 System Requirements

Handheld devices running PalmBFL must meet the following specifications and requirements.

  • Palm Operating System must be 3.5 or later
  • Available memory for application must be at least 256KB
  • Available memory per user must be at least 25KB
The computer onto which PalmBFL Desktop is to be installed must meet the following minimum specifications.

  • At least 32 MB RAM
  • 10 MB free hard disk space
  • Internet Explorer 5.0 or later
  • Any of the following Windows versions:
    • Windows 95
    • Windows 98
    • Windows NT
    • Windows 2000
    • Windows ME
    • Windows XP


Installation

PalmBFL Provides automated setup, which takes care of all your installation needs of PalmBFL on Palm and Desktop. In order to install PalmBFL on your palm, you must have already downloaded the PalmBFL software from our partner Web site (http://www.palmgear.com or http://www.handango.com) to your hard disk drive.

Desktop Side

  1. Close all open applications.

  2. Open the Windows Start menu and choose Run...
  3. In the Run dialog, click Browse.
  4. In the Browse dialog, navigate to the file that was downloaded from the partner web site. Click Open.
  5. In the Run dialog, click OK.

Follow the on-screen instructions until installation is completed. The installation process will install the PalmBFL Desktop software and the necessary sync software on to your Windows computer.

Palm Side

After Desktop side installation is complete, Follow the next steps to install PalmBFL on your Palm.

  1. Make sure that hotsync manager is running. You can verify this by looking at bottom right corner on the status bar. If you can see [image] there that means hotsync is running, otherwise click on Start > Programs > Palm Desktop and then select HotSync Manager.

  2. Put your Palm handheld device in HotSync cradle.
  3. Press the hotsync button of the cradle; this will install the PalmBFL Palm application on your Palm device.


Using Palm side

Palm Side

This section contains detailed instructions for managing various tasks for Body-for-LIFE program using PalmBFL on Palm handheld device. You can just roll on to specific topic of your need or just follow the documentation from top to bottom.

Common Controls
PalmBFL provides some operations, which are common in almost all screens, for example [image] button. Tap on this button and you will be on PalmBFL Home. Following images display some of the common button and menu controls available in PalmBFL.

Return to the parent form.

Go to Setup form.

Leads to Note form where you can take notes on respective exercise, meals.

Undo changes.

Return to "PalmBFL Home".

Starting Application

To start PalmBFL, tap the PalmBFL icon on Palm screen. This tap will lead you to either the goal or PalmBFL Home screen.

  • If you are using PalmBFL for the first time, registration window appears where you can enter valid registration code or evaluate for specific amount of time.

  • If you are using PalmBFL for the first time or set the preferences, Goal window appears which displays default goal. After few seconds or tapping on Continue button, leads to the PalmBFL Home. It is an editable form. You can use it to set your goal.

  • You can register any time by selecting Registration from Options menu, after tapping on the Menu button on Palm silk-screen while you are on PalmBFL.

The screen, which appears after you start PalmBFL, is "PalmBFL Home". This screen provides central point from where you can go to different screens to manage your Body-for-LIFE program.

Planning Activities

Body-for-LIFE daily activities includes planning and performing upper body or lower body or aerobic exercises. Meal and supplement intakes must also be very well planned and performed accordingly. PalmBFL Daily exercise has Plan Forwarding capabilities. For example, suppose you have created plan for day 1, which is for upper body. Now when you go for day 5, which is for upper body, then PalmBFL creates default plan for that similar to the plan of day 1. You do not have to enter the same values again. Plan forwarding capability is also present in Daily meal activity.

Exercise activity does have one more feature while you are preparing plans. It adjusts date according to days. For example, if day 1 has date Mar 25, 2002. Now If you select day 3 then date field changes automatically to Mar 27, 2002. Plan form of daily exercises also provides one more important date adjustment facility. Suppose you created exercise plan for day 1 on date Mar 25, 2002, day 2 on date Mar 26, 2002. Now you decided to plan day 3 on date Mar 25, 2002 that is already assigned to day 1. Simply change date of day 3 to Mar 25, 2002 and PalmBFL will prompt you to adjust dates of previous days automatically.

  • Auto Date adjustment function is only present with daily exercise activity planning.

When you tap on [image] button on "PalmBFL Home" screen, you will see 84-Day Exercise calendar from where you can jump on specific day for upper body, lower body or aerobics.

Highlighted box shows your activity for today. Grayed boxes represent that you had performed those activities. Tapping on [image] button will lead you to the first day that is upper body exercise day. Tapping on [image] button will lead you to day two, which is aerobics exercise day. Tapping on [image] button will lead you to day three, which is lower body exercise day.

Tapping on those buttons first asks whether you want to perform Plan or Actual.

Upper Body Workout

Tap on [image] button on 84-Day Exercise calendar screen. Then, It will ask whether to perform Plan or Actual. Tap on Plan button and you will see the following upper body exercise screen:

Perform following steps to create Plan:

  1. Make sure the day and date is correct.

  2. Select start and end time.
  3. Select the muscle group by tapping on to Chest, Shldr, Back, Triceps or Biceps tabs for Chest, Shoulders, Back, Triceps and Biceps, respectively.
  4. Select the first exercise by tapping on the exercise name, for example dumbbell flyes . This should bring the list of exercise from which you can select the exercise you want to perform. If the exercise you want to perform is not there in that list, you can select Others... from that list to add a new exercise.
  5. You can enter your exercise routine by tapping on Reps, Wt (lbs), Rest and Intensity boxes. You can enter values two ways: Tap twice on the appropriate box and use graffiti or keyboard to enter the value; or tap once, the value in the box is selected and tap on the increment/decrement buttons on the screen. You can also use Palm device’s increment/decrement hard buttons to increment or decrement the selected value.
  6. Select the second exercise for that particular muscle group, as described in step 3 above.
  7. Select another muscle group by tapping on to Chest, Shldr, Back, Triceps or Biceps tabs.
  8. Repeat steps 3 to 7 until you plan exercise for all the muscle groups for Upper Body.
  9. Tap on Note button to add any comments or reminders you have.
  10. Tap on Done button to finish planning upper body workout.

Aerobics Workout

Tap on [image] button on 84-Day Exercise calender screen. Then, It will ask whether to perform Plan or Actual. Tap on Plan button and you will see the following aerobics exercise screen:

Perform following steps to create Plan:

  1. Make sure the day and date is correct.

  2. Select start and end time.
  3. Select the exercise by tapping on the exercise name, for example walking. This should bring the list of exercise from which you can select the exercise you want to perform. If the exercise you want to perform is not there in that list, you can select Other... from that list to add a new exercise.
  4. Set the intensity for the minute by first selecting the minute and then selecting the intensity value.
  5. Repeat step 4 till you finish planning the intensity for every minute of Aerobics plan.
  6. Tap on Note button to add any comments or reminders you may have.
  7. Tap on Done button to finish planning the Aerobics workout.

Lower Body Workout

Tap on [image] button on 84-Day Exercise calendar screen. Then, It will ask whether to perform Plan or Actual. Tap on Plan button and you will see the following lower body exercise screen:

Perform following steps to create Plan:

  1. Make sure the day and date is correct.

  2. Select start and end time.
  3. Select the muscle group by tapping on to Qdrcps, Hmstg, Calves or Abs tabs for Quadriceps, Hamstrings, Calves and Abdomen, respectively.
  4. Select the first exercise by tapping on the exercise name, for example leg press. This should bring the list of exercise from which you can select the exercise you want to perform. If the exercise you want to perform is not there in that list, you can select Other... from that list to add a new exercise.
  5. You can enter your exercise routine by tapping on Reps, Wt (lbs.), Rest and Intensity boxes. You can enter values two ways: Tap twice on the appropriate box and use graffiti or keyboard to enter the value; or tap once, the value in the box is selected and tap on the increment/decrement buttons on the screen. You can also use Palm device’s increment/decrement hard buttons to increment or decrement the selected value.
  6. Select the second exercise for that particular muscle group, as described in step 3 above.
  7. Select another muscle group by tapping on to Qdrcps, Hmstg, Calves or Abs tabs.
  8. Repeat steps 3 to 7 until you plan exercise for all the muscle groups for Upper Body.
  9. Tap on Note button to add any comments or reminders you may have.
  10. Tap on Done button to finish planning the lower body workout.

  • After Planning a day, please make sure that you marked record status as "Planned". Record with status as "Unplanned" will not be retained and content will be lost after you exit from that form.

  • If you exit daily exercise form with status "Unplanned", it will prompt you about it.

    Select "Yes", if you want to exit without saving your customized contents, other wise select "No" and set record status as "Planned".

Planning Meal

Tap on [image] button on "PalmBFL Home" screen. After tapping on that button, it asks to perform Plan or Actual. Tap on Plan button and you will see following screen:

You can tap [image] button to see the total of nutritions present in selected foods you inserted in all six intervals. Tapping on it displays form as follows:

Meal & Supplement planning is supported with alarming facility. You get alarms on the time you set the meal intervals. Meal Alarm screen has information like User name, date and time and Meal to take. Sample of meal alarm screen is shown below:

Perform following steps to create Plan:

  1. Select the meal from 1 to 6. Tap on the time, for example 8:00AM, to set time for that meal. This will set the alarm for the meal at the time.

  2. Tap on [image] button to insert required food for selected interval. Tapping on this button will lead you to the form as shown below:

3. Repeat steps 1 and 2 until you plan all your meals.

4. Tap on Note button to add any comments or reminders you may have.

5. Tap on Home button to finish meals planning.

Planning Supplement

Tap on [image] button on "PalmBFL Home" screen. After tapping on that button, it asks to perform Plan or Actual. Tap on Plan button and you will see following screen:

Tap on Suppl. button at the bottom of the screen. After tap, You will see similar screen for supplement as follows:

Meal & Supplement planning is supported with alarming facility. You get alarms on the time you set the supplement intervals. Meal Alarm screen has information like User name, Date and time and Supplement to take.

Perform following steps to create Plan:

  1. Select the supplement from 1 to 6. Tap on the time, for example 8:00AM, to set time for that supplement. This will set the alarm for the supplement at the time.

  2. Tap on [image] button to insert required food for selected interval. Tapping on this button will lead you to the form where you can select the food.

  3. Repeat steps 1 and 2 until you plan all your supplements.

  4. Tap on Note button to add any comments or reminders you may have.
  5. Tap on Home button to finish supplements planning.

Performing Activities

You had created plans for your Body-for-LIFE activities. Now its time to record the actual you performed. This section describe how to record actual values for different Body-for-LIFE activities like - daily exercise, daily meal in takes.
When you tap on [image] button on "PalmBFL Home" screen, you will see 84-Day Exercise calendar from where you can jump on specific day for upper body, lower body or aerobics.

Highlighted box shows your activity for today. Grayed boxes represent that you had performed those activities. Tapping on [image] button will lead you to the first day, which is upper body exercise day. Tapping on [image] button will lead you to day two, which is aerobics exercise day. Tapping on [image] button will lead you to day three, which is lower body exercise day.

Tapping on those buttons first asks whether you want to perform Plan or Actual.

Upper Body Workout

Tap on [image] button on 84-Day Exercise calendar screen. Then, It will ask wheather to perform Plan or Actual. Tap on Actual button and you will see the following upper body exercise screen:

Perform following steps to create Actual:

  1. Make sure the day and date is correct.

  2. Select start and end time.
  3. Select the muscle group by tapping on to Chest, Shldr, Back, Triceps or Biceps tabs.
  4. Select the first exercise by tapping on the exercise name, for example dumbbell flyes. This should bring the list of exercise from which you can select the exercise you want to perform. If the exercise you want to perform is not there in that list, you can select Other... from that list to add a new exercise.
  5. You can enter your exercise routine by tapping on Reps, Wt (lbs.), Rest and Intensity boxes. You can enter values two ways: Tap twice on the appropriate box and use graffiti or keyboard to enter the value; or tap once, the value in the box is selected and tap on the increment/decrement buttons on the screen. You can also use Palm device’s increment/decrement hard buttons to increment or decrement the selected value.
  6. Select the second exercise for that particular muscle group, as described in step 3 above.
  7. Select another muscle group by tapping on to Chest, Shldr, Back, Triceps or Biceps tabs.
  8. Repeat steps 3 to 7 until you specify exercise for all the muscle groups for Upper Body.
  9. Tap on Note button to add any comments or reminders you may have.
  10. Tap on Done button to finish recording actual values for upper body workout.

Aerobics Workout

Tap on [image] button on 84-Day Exercise calendar screen. Then, It will ask whether to perform Plan or Actual. Tap on Actual button and you will see the following aerobics exercise screen:

Perform following steps to create Actual:

  1. Make sure the day and date is correct.

  2. Select start and end time.
  3. Select the exercise by tapping on the exercise name, for example walking. This should bring the list of exercise from which you can select the exercise you want to perform. If the exercise you want to perform is not there in that list, you can select Other... from that list to add a new exercise.
  4. Set the intensity for the minute by first selecting the minute and then selecting the intensity value.
  5. Repeat step 4 till you finish specifying actual value for intensity for every minute of Aerobics actual.
  6. Tap on Note button to add any comments or reminders you may have.
  7. Tap on Done button to finish recording actual values for Aerobics workout.

Lower Body Workout

Tap on [image] button on 84-Day Exercise calendar screen. Then, It will ask whether to perform Plan or Actual. Tap on Actual button and you will see the following lower body exercise screen:

Perform following steps to create Actual:

  1. Make sure the day and date is correct.

  2. Select start and end time.
  3. Select the muscle group by tapping on to Qdrcps, Hmstg, Calves or Abs tabs.
  4. Select the first exercise by tapping on the exercise name, for example leg press. This should bring the list of exercise from which you can select the exercise you want to perform. If the exercise you want to perform is not there in that list, you can select Other... from that list to add a new exercise.
  5. You can enter your exercise routine by tapping on Reps, Wt (lbs.), Rest and Intensity boxes. You can enter values two ways: Tap twice on the appropriate box and use graffiti or keyboard to enter the value; or tap once, the value in the box is selected and tap on the increment/decrement buttons on the screen. You can also use Palm device’s increment/decrement hard buttons to increment or decrement the selected value.
  6. Select the second exercise for that particular muscle group, as described in step 3 above.
  7. Select another muscle group by tapping on to Qdrcps, Hmstg, Calves or Abs tabs.
  8. Repeat steps 3 to 7 until you specify exercise for all the muscle groups for Upper Body.
  9. Tap on Note button to add any comments or reminders you may have.
  10. Tap on Done button to finish recording actual values for lower body workout.

  • After Planning a day, please make sure that you marked record status as "Performed". Record with status as "Not Performed" will not be retained and content will be lost after you exit from that form.

  • If you exit daily exercise form with status "Not Performed", it will prompt you about it. You can select "No" from the alert and set record status to "Performed" so that your contents will get stored.

Start Exercise

There is one more way provided by PalmBFL to make your actual entries for upper and lower body workout section. We call it Start Exercise form. This form is designed in such a way that you can use it while you are actually performing your exercises and you don't need to tap on it more. This form even notifies you about your next exercise. It even works as your stopwatch for rest-period counting. Of course, How you utilize this form effectively is on you.

Tap on [image] on PalmBFL Home. As you are performing actual exercise in gym, you will get a message stating that you are performing actual workout.

If you do not want to see this message again, check the given check box in message. If you had planned Upper Body workout for that day, you will see screen similar to the screen in figure below:

  1. You will select the user by tapping on the drop-down list of users in upper right hand corner, if you are not the default user.

  2. If you want you can change the exercise you had planned. For this, select the first exercise by tapping on the exercise name, for example dumbbell flyes. This will bring the list of exercise from which you can select the exercise you want to perform. If the exercise you want to perform is not there in that list, you can select Other...from that list to add a new exercise.
  3. If you want you can change the exercise values such as repetitions, weights, etc., which you had planned. You can enter your exercise routine values by tapping on Reps, Wt (lbs.), Rest and Intensity boxes. You can enter values two ways: Tap twice on the appropriate box and use graffiti to enter the value; or tap once, the value in the box is selected and tap on the increment/decrement buttons on the screen. You can also use Palm device’s increment/decrement hard buttons to increment or decrement the selected value.
  4. After completing the exercises for the first set just press [image] (date book hard button) or tap on [image] button to start rest period stopwatch.
  5. The [image] button now changes its visual appearance and displays number of seconds remaining for rest. When rest stopwatch goes to zero, alarm sounds and next set or next muscle group would be automatically selected. This cycle continues until you perform all sets of all muscle groups. After all exercises for all muscle groups are performed, [image] button changes its appearance to [image] button.
  6. Tap on this Finish button, which will lead you to the actual of daily exercise screen for the same day, which you just performed.
  7. You can also tap on Next set [image] button, to start the next set. Once all 5 sets for muscle groups are done, the first set for next muscle group is automatically displayed.
  8. You can even stop the rest stopwatch, at any time, simply by pressing [image] (date book hard button) or tapping [image] button. Change of muscle group or exercise will also going to stop rest stopwatch.

  • This form is an alternative way to enter your actual entries for upper and lower body exercise with advantage of being on time (You can use this form when you are actually performing your exercises).

  • The changes made on this screen will be stored as actual values. So after you leave this screen, if you come to this screen later, you will see the actual values, not your plan values.

Actual Meal

Sometimes it is very difficult to eat what you planned earlier. PalmBFL can be used to record the actual meals you took. PalmBFL will assume that you took the planned meals at the set time, use following steps to record the meals, which you have eaten.

Tap on [image] button on "PalmBFL Home" screen. After tapping on that button, it asks to perform Plan or Actual. Tap on Actual button and you will see following screen:

Perform the following steps to create Actual:

  1. Select the meal from 1 to 6. Tap on the time, for example 8:00AM, to set time when you took the meal.

  2. Tap on [image] button to insert required food for selected interval. Tapping on this button will lead you to the form where you can select the food.

  3. Repeat steps 1 to 2 until you finish recording the meals you have already eaten.

  4. Tap on Note button to add any comments or reminders you have.
  5. Tap on Home button to finish recording the meals eaten.

Actual Supplement

Tap on [image] button on "PalmBFL Home" screen. After tapping on that button, it asks to perform Plan or Actual. Tap on Actual button and you will see following screen:

Tap on Suppl. button at the bottom of the screen. After tap, You will see similar screen for supplement as follows:

Perform the following steps to create Actual:

  1. Select the supplement from 1 to 6. Tap on the time, for example 8:00AM, to set time when you took the supplement.

  2. Tap on [image] button to insert required food for selected interval. Tapping on this button will lead you to the form where you can select the food.

  3. Repeat steps 1 to 2 until you finish recording the supplements you have already eaten.

  4. Tap on Note button to add any comments or reminders you have.
  5. Tap on Home button to finish recording the supplements eaten.

Tracking Progress

We provided various ways to keep track on your progress. You can record vital and physical measurements with your photograph. It also generates chart so that you can compare your day-to-day progress.

Tap on [image] button on "PalmBFL Home" screen. You will see the following screen.

Tap on Physical/Vital/Sleep measurement to take appropriate measurement.

Physical Measurement

It is important to take measurements regularly to track your progress. This way you can alter the workout, meals to effectively follow the Body-for-LIFE program. PalmBFL enables you to record your weight and other measurements at a regular interval.

Tap on [image] button on "PalmBFL Home" screen. Tap on "Physical" button, You will see the following screen:

  1. Make sure that date is the date you want to record the measurements on. If not, then tap on the date to change it. You can also use left and right arrows near the date to go to previous measurement or next measurement date.

  2. Choose the units for length (inches or centimeters) and weight (lbs. or kilograms).
  3. Enter weight and the fat percentage if known.
  4. Enter measurements for left and right thigh, left and right arm, left and right calf, chest, waist, neck and hips.
  5. Tap on Note to add additional comments.
  6. Tap on Home to return to PalmBFL Home.

Measurement Details Form

Measurement details form is just like small calculator for you. It calculates your Body Fat %, lbs. lean, lbs. fat, Waist-to-Hip ratio and Body Mass Index. It also displays image (Which is selected at desktop end and transferred to Palm via HotSync).

Just tap on [image] button on measurement form to lead to Measurement Details form. You will see the following screen:

Enter the details like Height, Fat Percentage. You can calculate Fat Percentage automatically by methods like YMCA or US Army instead of manually entering it. You can even tap on image, if any, to view in full screen. Image is actually get selected at desktop PalmBFL Software. Hotsync process makes it available to PalmBFL on Palm for viewing. Tapping on that image opens it new window where you can perform various operations on it like - Zoom in, Zoom out. That form looks like as follows:

Vital Measurement Form

Tap on [image] button on "PalmBFL Home" screen. Tap on "Vital" button, You will see the following screen:

Enter measurements like Blood Pressure, Average Heart Rate, Cholesterol, Blood Sugar etc. Other 1, 2,3 will help you to enter some extra measurements that you want to take. You can also add and delete these measurements. Click on "Graphs" button, to see graphical comparison of these measurements.

Sleep Monitoring

Tap on [image] button on "PalmBFL Home" screen. Tap on "Sleep" button, you will see the following screen:

Enter daily sleep and wake up time and quality of your sleep that you feel with date. Also enter some note that you have to mention for that day. You can add and delete sleep records by clicking on "New" and "Delete" buttons respectively. Click on "Graphs" button, to see graphical comparison on these sleep records.

Graph Form

Graph form helps you to compare measurements taken on different days. It is really useful tool to keep track of your body improvement. Graphs help you to visualize improvements in your body. Bar chart is provided with dates on x-axis and measurement on y-axis for different body parts like Chest, Arms and etc. It can be accessed via Graph option from Main menu. Tap on 3d Graph Bar Icon to switch between Physical Measurement graph and Sleep/Vital Measurement graphs.

Customize

PalmBFL allows you to customize the software to suit your needs. PalmBFL allows you to Add your own exercises, meals, and weights as well as add more users. Select PalmBFL Setup menu option from Setup menu. It will lead you to PalmBFL Setup form. You can access each setup form for Exercise, Meal, Users and Weights through Setup menu also.

Adding Exercise

  1. Tap on [image] button on the Setup screen. The following screen appears.

  2. Tap on the down arrow in upper right corner to select from upper body, lower body and aerobics workout.

  3. Select the muscle group by tapping on specific Tab. It can be Chest, Shldr, Back, Triceps or Biceps.
  4. Tap on New to enter new exercise.
  5. You can then enter the name of the exercise.
  6. Tap on [image] button to add steps for that exercise or precautions to take while performing that exercise.
  7. If you want then you can select another workout and/or another muscle group to add the exercise for.
  8. Tap on [image] to return to setup screen.

  • The exercise you select (indicated with checkbox) will appear in the drop-down list in Start Exercise and Daily Exercise screens.

Adding Weight

  1. Tap on [image] button on the Setup screen. The following screen appears.

  2. Tap on New, and then enter weight value.

  3. Tap on Save to save it.
  4. Repeat steps 2 and 3 to add more weights.
  5. Tap on [image] to return to Setup screen or on [image] to return to PalmBFL Home screen.

Adding Meal

  1. Tap on [image] from Setup screen. The following screen appears.

  2. Tap on Meal tab.

  3. Tap on New, and then enter new meal.
  4. Tap on [image] to enter the nutrition information for the meal, as shown below.

  5. Tap on [image] on Meal Details form to return to Meal List form.

  6. Repeat steps 3 to 5, to add various meals you take.
  7. Tap on [image] on Meal List form to return to Setup screen or on [image] to return to PalmBFL Home screen.

  • The meals you select (indicated with checkbox) will appear in the drop-down list on Daily Meal screen.

Adding Supplement

  1. Tap on [image] from Setup screen. Tapping on that button displays Meal List form.

  2. Tap on Supplement tab on the Meal List form. The form now displays Supplement List. Supplement List looks as follows:

  3. Tap on New, and then enter new supplement name.

  4. Tap on [image] to enter the nutrition information for the supplement, as shown below.

  5. Tap on [image] on Suppl Details form to return to Supplement List form.

  6. Repeat steps 3 to 5, to add various supplements you take.
  7. Tap on [image] on Supplement List form to return to Setup screen or on [image] to return to PalmBFL Home screen.

  • The supplements you select (indicated with checkbox) will appear in the drop-down list on Daily Meal screen under Supplements category.

Adding Users and Goals

PalmBFL allows you to use the same Palm device to manage Body-For-LIFE program for additional users, for example your spouse or your partner. Up to 5 users can use PalmBFL at a time.

  1. Tap on [image] from Setup screen.

  2. You will see following screen.

  3. If you want to change the goal for the existing user, tap on the [image]. You will see the goal, which you can change. Make the changes and tap on [image] button to save the changes.

  4. Tap on New button to add a new user, and tap on the [image] to add the goal for that user.
  5. Repeat step 4 to add users and their goals.
  6. Tap on [image] button to return to Setup screen or on [image] button to return to PalmBFL home screen.

  • PalmBFL allows 5 users at a time.

Daily Exercise customization

On PalmBFL home screen, tap on "Daily Exercise", a three month calendar form will appear. Click on customize button to customize, following form will appear. Here you can customize your BFL cycle as per your requirement. You can change default body for life sequence (Upper Body - Aerobics - Lower Body) as per your requirement. Here you can also manage your free days and skipped days.

  1. Use "Add Day" button to add a new day at the end of BFL cycle.

  2. Use "Delete" to delete your plan/actual workout contents for a particular day.
  3. "Change Remaining Days" check box, when checked, will automatically adjust your next days as per your current customized day. Suppose you selected "Day 1" to change to "Aerobics" then it will automatically adjust day 2 to "Lower Body", day 3 to "Aerobics" day 4 to "Upper Body" and so on. If you want just to change a single day, uncheck this check box.
  4. Use "Reset" button, to reset i.e. restore the customization as it was

    - Initially at form open
    - after adding new day to BFL cycle.
    "Reset" will help you to restore customization, if by mistake you have chosen a wrong customization.

  • Days drawn with rectangle are disable, which you can not customize. How ever you can delete contents of these days. Days earlier to "last plan/actual performed" are also disabled. Unless you delete content of last day, days earlier to that could not be customized.

Duplicate Days Management

After daily exercise customization, if there is any conflict in your daily exercise that has two records for the same day, you will not be allowed to work in daily exercise. You need to resolve this conflict first by deleting unwanted duplicate days.

In such case above dialog will appear, for record deletion. Delete duplicate days using "Delete Day" or "Delete All".
Then you can return back to daily exercise to perform your regular activities.

Setting Preferences

PalmBFL allows you to further customize. The preferences screen allows you to set interval between the measurement to take days, enable or disable alarms for meals, set the primary user of the PalmBFL application, etc.

  1. Tap on Menu button on your Palm’s silkscreen. After Tapping, You will see the following screen.

  2. Select Preferences from Options menu. After Selecting, You will see following screen.

  • Enabling or disabling meal and supplement alarms

    Tap on the checkbox for Start Alarm Facility to enable or disable the meal and supplement alarms. If you disable the alarm facility, it will disable daily meal and supplement alarms for all the users.

  • Select default user

    Tap on drop down list for the user for which the application will maintain the state. If you selected Last Logged, then the application will start from the place where last user left off. If you selected the user other than the Last Logged, next time, the application will start for that particular user maintaining it’s previous state. If that particular user was not working last time, application will start from goal screen for that user.

  • Daily Exercise Form Continuing

    Tapping on this option will enable you to scroll on the same type of exercise. e.g. You scroll forward from day 1(upper body) it will jump to day 5(upper body) or from day 5 to day 1 on reverse scroll. The same is applicable for aerobics and lower body.

  • Enable or disable the goal display

    Tap on the checkbox for Show goal each time to enable or disable display goal every time when user is changed from PalmBFL Home page.

  • Setting timeout for goal display

    Enter the number of seconds you want the goal to be displayed when you traverse from PalmBFL home page. If you tap on the goal text when goal is being displayed, then PalmBFL will not display the next screen, and will continue to display that goal. You will have to tap on Continue button to move forward.

  • Set measurement interval

    Enter the number of days for Measurement: Take after days. If you scroll on to next measurement, these many days will be added to date of measurement for new one.

    Click on "Other Preferences", following other preferences form will appear

  • Show Message: "You are performing actual workout..."

When checked this check box, every time you visit "Start Exercise" on PalmBFL home, this dialog will appear prompting you that you are performing actual exercise in gym, and entries made here will be stored as actual workout of that day. If you do not want to get this message, uncheck this check mark.

  • Show Message: "Record status is unplanned. You will lose..."

When checked this check box, you will a warning message when you are trying to leave daily exercise form having status as "Unplanned" (for plan form) or "Not performed" (for actual form). Record having Unplanned/Not performed status will not be stored and it's content will get lost when leave this form. Uncheck this check mark, if you do not want to receive this waning (default action will be "yes" means content will be lost).

  • Measurement Units

Set measurement units as per your requirement that will reflect in measurement form.


Desktop Side

This section contains detailed instructions for managing various tasks for Body-for-LIFE program using PalmBFL on Desktop side (Personal Computer). You can just roll on to specific topic of your need or just follow the documentation from top to bottom. Desktop side application has ability to present various reports similar to those available in Body-for-LIFE book. Desktop side PalmBFL also has ability to print those reports.

Common Controls

PalmBFL provides some operations, which are common in almost all screens. Every screen, except Desktop PalmBFL Home, has following buttons. Following images display some of the common button and menu controls available in Desktop PalmBFL.

Create new record of specific type. For example, if you are on meal setup screen and you click this button, then PalmBFL will display a screen to allow you to create new meal.

Save new or modified contents.

Delete selected record.

Fill the form contents with previously saved record of same day or type.

Return to PalmBFL desktop Home.

Every screen, except Desktop PalmBFL Home, provides menu bar as shown below:

This menu bar is available on every screen, you can use [image] button on it to go to PalmBFL Home anytime you want. About & Utility menus don’t have submenus. Following figures explain Setup, Daily Work and Reports menu.

Starting Application

  1. Open the Windows Start menu. Select Programs > PalmBFL > Start PalmBFL, as shown below.

  2. When you launch PalmBFL Desktop and not registered, then following registration screen appears.

  3. If you don't have registration code then contact our partner site for it. Log onto the PalmBFL registration site by pointing your browser to http://www.palmbfl.com/products.htm. From there choose any of our partners to purchase the software.

  4. If you have received the registration code via email, please enter that in the space provided, and click on Register button to register PalmBFL Desktop. You may also choose to try the software for a limited time by pressing on Evaluate button.

The screen, which appears after previous form, is "PalmBFL Home". From here you can navigate to any form you want to work with.

When desktop PalmBFL application gets started, one more important feature gets activated. That feature is called as PalmBFL Alerter. It’s a very powerful feature, which gives mealtime alarms on desktop side also. It can be accessed by right clicking on PalmBFL Alerter icon, which appears in system tray near clock.

Planning Activities

Body-for-LIFE daily activities includes planning and performing upper body or lower body or aerobic exercises. Meal and supplement intakes must also be very well planned and performed accordingly. Planning daily exercise with PalmBFL is easy. Following steps describe the daily exercise planning for Upper body, Aerobics and Lower body as outlined in "Body-for-LIFE" book. PalmBFL has Plan Forwarding capabilities. For example, suppose you created plan for day 1, which is for upper body. Now when you go for day 5, which is for upper body, then PalmBFL creates default plan for that similar to the plan of day 1. You do not have to enter the same values again. That means, new plan gets created with the help of recent day plan.

Upper Body Workout

  1. Click Upper Body hyperlink on Desktop PalmBFL Home or Select Upper Body option from Daily Work menu of Common Toolbar.

  2. You’ll see the following Upper Body exercise screen.

  3. Make sure that category dropdown display "Plan".

  4. Make sure that correct user name is selected.
  5. Select the day dropdown to create the plan for specific day. New record would be created, if not present, when you change day, category or user with the contents of previous recent record of same type or with the default record if no recent record of same type exists.
  6. Select start and end time.
  7. Select muscle group by selecting the Body Part. For example: Chest.
  8. Select the first exercise by selecting dropdown of Set 1 to 5.
  9. Make changes to Repetitions, Weights, Rest, and Intensity.
  10. Select the second exercise by selecting dropdown of Set 6.
  11. Make changes to Repetitions, Weights, Rest, and Intensity for that set
  12. Repeat steps 7 to 11 to create planned exercises for all the muscle groups in Upper Body.
  13. Add your comments or reminders by clicking in Note area and entering the text.
  14. Click on [image] Button to save. Make sure that your record status is "Planned", otherwise your plan will not be retained back.

Aerobics Workout

  1. Click Aerobics hyperlink on Desktop PalmBFL Home or Select Aerobics option from Daily Work menu.

  2. You’ll see the following Aerobics screen.

  3. Make sure that category dropdown display "Plan".

  4. Make sure that correct user name is used.
  5. Select the day dropdown to create the plan for specific day. New record would be created, if not present, when you change day, category or user with the contents of previous recent record of same type or with the default record if no recent record of same type exists.
  6. Select start and end time. This will build the Intensity table according to total min.
  7. Set the intensity values for specific minute in Intensity table.
  8. Add your comments or reminders by clicking in Note area and entering the text.
  9. Click on [image] Button. Make sure that your record status is "Planned", otherwise your plan will not be retained back.

  • Intensity (minute by minute) table will be generated by Total min. If total minutes are 20 then you can input 20 intensity values.

Lower Body Workout

  1. Click Lower Body hyperlink on Desktop PalmBFL Home or Select Lower Body option from Daily Work menu.

  2. You’ll see the following Lower Body exercise screen.

  3. Make sure that category drop-down display "Plan".

  4. Make sure that the user name is correct.
  5. Select the day dropdown to create the plan for specific day. New record would be created, if not present, when you change day, category or user with the contents of previous recent record of same type or with the default record if no recent record of same type exists.
  6. Select start and end time.
  7. Select muscle group by selecting the Body Part. For example: Hamstrings.
  8. Select the first exercise by selecting dropdown of Set 1 to 5.
  9. Make changes to Repetitions, Weights, Rest, and Intensity.
  10. Select the second exercise by selecting dropdown of Set 6.
  11. Make changes to Repetitions, Weights, Rest, and Intensity for that set
  12. Repeat steps 7 to 11 to create planned exercises for all the muscle groups in Lower Body.
  13. Add your comments or reminders by clicking in Note area and entering the text.
  14. Click on [image] Button to save. Make sure that your record status is "Planned", otherwise your plan will not be retained back.

Planning Meal

  1. Click Daily meal hyperlink on Desktop PalmBFL Home or Select Meal option from Daily Work menu. You’ll see the following Daily meal screen.

  2. Select meal of Regular type

  3. Make sure that category dropdown display Plan.
  4. Make sure that user name is correct.
  5. Select the day dropdown to create the plan for specific day. New record would be created, if not present, when you change day, category or user. This is done with the help of the recent record of same type or, with the default record, if no recent record of same type exists.
  6. Add required food by selecting them in meal popup and pressing Add button.

  7. Repeat step 6 for required intervals.

  8. Add your comments or reminders by clicking in Note area and entering the text.
  9. Click on [image] Button.

  • You can change the "Nutritional Facts" dropdown to see the nutritional values such as Proteins, Carbohydrates, Fats and Calories in percentage or average.

  • Note field is shared between both meal types Regular and Supplement.

  • You can remove required food from interval by selecting and pressin g Remove button.

Planning Supplement

  1. Click Daily meal hyperlink on Desktop PalmBFL Home or Select Meal option from Daily Work menu.

  2. Select Supplement from Interval For dropdown. You’ll see the following Daily meal screen.

  3. Make sure that category dropdown display Plan.

  4. Make sure that user name correct.
  5. Select the day dropdown to create the Actual for specific day. New record would be created, if not present, when you change day, category or user. This is done with the contents of the recent record of same type or, with the default record, if no record of the same type exists.

  6. Add required food by selecting them in meal popup and pressing Add button.

  7. Repeat step 6 for required intervals.

  8. Add your comments or reminders by clicking in Note area and entering the text.
  9. Click on [image] Button.

  • You can change the Nutritional Facts dropdown to see the portions of various elements like Proteins, Carbohydrates, Fats and Calories in percentage or average.

  • Note field is shared between both meal types Regular and Supplement.

  • You can remove required food from interval by selecting and pressin g Remove button.

Performing Activities

You planned your exercises, your meals for your Body-for-LIFE. You performed them at your best level. Its time to record what you actually did? How much you really ate? How much weight you really lifted and other similar things.

Upper Body Workout

  1. Click Upper Body hyperlink on Desktop PalmBFL Home or Select Upper Body option from Daily Work menu.

  2. Make sure that category dropdown display Actual. You’ll see the following screen.

  3. Make sure that the user name is correct.

  4. Select the day dropdown to record the values for specific day. New record would be created, if not present, when you change day, category or user. This is done with the help of contents of planned workout for that day.
  5. Select start and end time.
  6. Select muscle group by selecting the Body Part. For example: Chest.
  7. Select the first exercise by selecting dropdown of Set 1 to 5.
  8. Make changes to Repetitions, Weights, Rest, and Intensity.
  9. Select the second exercise by selecting dropdown of Set 6.
  10. Make changes to Repetitions, Weights, Rest, and Intensity for that set
  11. Repeat steps 6 to 10 to create planned exercises for all the muscle groups in Upper Body.
  12. Add your comments or reminders by clicking in Note area and entering the text.
  13. Click on [image] Button to save. Make sure that your record status is "Performed", otherwise your actual workout will not be retained back.

  • If the actual values for the previous day’s plan were not entered then PalmBFL prompts to skip it or to enter those values first.

Aerobics Workout

  1. Click Aerobics hyperlink on Desktop PalmBFL Home or Select Aerobics option from Daily Work menu.

  2. Make sure that category dropdown display Actual. You will see the following screen.

  3. Make sure the user name is correct.

  4. Select the day dropdown to record Actual of the specific day. New record will be created, if not present, when you change day, category or user. This is done with the help of contents of the planned workout for that day.
  5. Select start and end time. This will build the Intensity table according to total min.
  6. Set the intensity values for specific minute in Intensity table.
  7. Add your comments or reminders by clicking in Note area and entering the text.
  8. Click on [image] Button. Make sure that your record status is "Performed", otherwise your actual workout will not be retained back.

  • If the actual values for the previous day’s plan were not entered then PalmBFL prompts to skip it or to enter those values first.

Lower Body Workout

  1. Click Lower Body hyperlink on Desktop PalmBFL Home or Select Lower Body option from Daily Work menu.

  2. Make sure that category dropdown display Actual. You will see the following screen.

  3. Make sure that user name is correct.

  4. Select the day dropdown to create the Actual for specific day. New record would be created, if not present, when you change day, category or user. This is done with the help of contents of the planned workout for that day.
  5. Select start and end time.
  6. Select muscle group by selecting the Body Part. For example: Hamstrings.
  7. Select the first exercise by selecting dropdown of Set 1 to 5.
  8. Make changes to Repetitions, Weights, Rest, and Intensity.
  9. Select the second exercise by selecting dropdown of Set 6.
  10. Make changes to Repetitions, Weights, Rest, and Intensity for that set.
  11. Repeat steps 6 to 11 to create planned exercises for all the muscle groups in Lower Body.
  12. Add your comments or reminders by clicking in Note area and entering the text.
  13. Click on [image] Button to save. Make sure that your record status is "Performed", otherwise your actual workout will not be retained back.

  • If the actual values for the previous day’s plan were not entered then PalmBFL prompts to skip it or to enter those values first.

Actual Meal

  1. Click Daily meal hyperlink on Desktop PalmBFL Home or Select Meal option from Daily Work menu.

  2. Make sure that category dropdown display Actual. You’ll see the following Daily meal screen.

  3. Select Meal of type Regular

  4. Make sure that user name is correct.

  5. Select the day dropdown to create the Actual for specific day. New record would be created, if not present, when you change day, category or user. This is done with the contents of planned meals for that day.

  6. Add required food by selecting them in meal popup and pressing Add button.

  7. Repeat step 6 for required intervals.

  8. Add your comments or reminders by clicking in Note area and entering the text.
  9. Click on [image] Button.

  • You can change the "Nutritional Facts" dropdown to see the nutritional values such as Proteins, Carbohydrates, Fats and Calories in percentage or average.

  • Note field is common to both meal types Regular and Supplement.

  • You can remove required food from interval by selecting and pressin g Remove button.

Actual Supplement

  1. Click daily meal hyperlink on Desktop PalmBFL Home or Select Meal option from Daily Work menu.

  2. Make sure that category dropdown display Actual. You’ll see the following Daily meal screen.

  3. Select meal of type Supplement. Make sure that category dropdown display Actual.

  4. Select the day dropdown to record the values for specific day. New record would be created, if not present, when you change day, category or user. This is done with the help of contents of the planned supplements for that day.

  5. Add required food by selecting them in meal popup and pressing Add button.

  6. Repeat step 5 for required intervals.

  7. Add your comments or reminders by clicking in Note area and entering the text.
  8. Click on [image] Button.

  • You can change the "Nutritional Facts" dropdown to see the portions of various elements like Proteins, Carbohydrates, Fats and Calories in percentage or average.

  • Note field is shared between both meal types Regular and Supplement.

  • You can remove required food from interval by selecting and pressin g Remove button.

Tracking Progress

It is important to take measurements regularly to track your progress. This way you can alter the workout, meals to effectively follow the Body-for-LIFE program. PalmBFL allows you to record your weight and other measurements at a regular interval. PalmBFL also has features like Photo album and Graph reports so that you can study your improvements in pictorial way (discussed in Reports) Next we will be discussing, How to take your body measurements. These measurement details are used while creating Photo Album and Graphs.

Physical Measurement

  1. Click Physical Measurements hyperlink on Desktop PalmBFL Home or Select Physical Measurements option from Daily Work menu. You’ll see the following Body measurement screen.

  2. Select user name.

  3. Click on [image] button. This will add new number in Measurement Number field.
  4. Select the unit of measurement in which you’ll going to enter your entries.
  5. Fill measurement fields Left Thigh, Right Thigh, Left Arm, Right Arm, Left Calf, Right Calf, Chest, Waist, Neck, Hips, Forearm, wrist, height and abdominal.
  6. Fill Weight and Fat as well. You can manually enter fat or select methods like YMCA or US Army for automatically filling Fat field.
  7. Click on Browse button if want to select your picture to associate these measurements. It supports various image formats like BMP, JPEG, TIFF, PNG, TGA. Selected image gets transferred to palm during hotsync so that you can view it on palm as well.
  8. Add your comments or reminders by clicking in Note area and entering the text.
  9. Click on [image] button.

  • You can click on iconic image to open it in different window in maximize mode.

Vital Measurement

Click Vital Measurements hyperlink on Desktop PalmBFL Home or Select Vital Measurements option from Daily Work menu. You’ll see the following Body measurement screen. Here you can fill vital measurement information as like Physical measurements.

Sleep Monitoring

Click monitoring Sleep hyperlink on Desktop PalmBFL Home or Select Sleep Management option from Daily Work menu. You’ll see the following screen. Here you can fill daily sleep information so that you can later view plain and graphical reports on it.

PalmBFL Alerter

PalmBFL Alerter provides alarming facility on the Windows desktop. You can access Alerter by right clicking on PalmBFL Alerter Icon, which is near clock in system tray, at the right-hand bottom of your screen. This alarming facility is provided for Daily Meal Desktop activity.

Right clicking on it will provide you options as follows:

  • Click on Hide option will hide PalmBFL Desktop and changes Hide Option to Show. Clicking on Show will once again displays PalmBFL Desktop and changes Show option to Hide.

  • User List provides list of all users. Alarm will only trigger for the selected user.

  • Mute All option will turn alarms off for all the users.

  • Tip of the Day option will give the tip so that you can work smart with PalmBFL.
  • Exit option will close PalmBFL Desktop and Alerter.

When alarm triggers, Meal Alarm window appears showing time, user name and meal or supplement to take as follows:

  • If you reset system time of your computer, alarms for all valid time will get set again. E.g. If you set system time from 7:30 PM to 9:30 AM on May 20, 2002 then records on May 20, 2002 having mealtime greater than or equal to 9:30 AM are considered while setting new alarm.

Utility

PalmBFL provides simple calculator utility through which you can calculate Body Mass Index, Heart Rate, Waist-to-Hip ratio and Body Fat Percentage. You can access Utility by clicking on Utility menu.

Customize

Desktop PalmBFL can also be customized. You can Add, Delete users, meals and exercises. You can also create new 84-day Body-for-LIFE cycle. Major customizations are described below:

Adding User

  1. Click user hyperlink on PalmBFL Home or Select User option from Setup menu.

  2. You’ll see following User Setup screen.

  3. Click on [image] button to add new user. Cursor focus now goes to user name field.

  4. Enter title, name, birth date and goal of user.
  5. Click on [image] button.
  6. Repeat from step 3 to 5 to add more users.

  • User name must be less than 20 characters.

Adding New 84-Day Cycle

  1. Select New Cycle from Setup menu. You’ll see following New Cycle screen.

  2. To create new cycle, perform the steps as given in image (Steps to Create New Cycle).

  3. After you performed those steps, you will have new cycle created for the selected user. Now you can use PalmBFL with new Body-for-LIFE cycle for the user. Previous cycle information will get displayed in Previous Cycle Information list box.
  4. To view your previous cycle information, select the cycle from the Previous Cycle Information list box and click on View button. Now PalmBFL will shift to Backup mode. You will see Current working mode as Backup on this form. Here after whatever operation that you will do on PalmBFL desktop will be on this selected cycle. You can view or modify your previous information. This information can't be seen on palm side. Only PalmBFL desktop is useful for viewing previous cycle information. During Backup mode, if you hotsync, this backup information will not get transferred on palm. Your current cycle information will not get affected due to this operation.
  5. To return to Normal mode from Backup mode, Click on Restore button, which appear instead of View button while in Normal mode.

Adding Exercise

  1. Click exercise database hyperlink on PalmBFL Home or Select Exercise Database option from Setup menu.

  2. You’ll see following Exercise Setup screen

  3. Select the Exercise group and Body part for which you are creating exercise. For example, Exercise group can be Upper Body and Body Part can be Chest.

  4. Click on [image] button. The cursors focus now goes to Exercise name field.
  5. Enter Exercise name.
  6. Add your exercise description, comments or reminders by clicking in Note area and
  7. Click on [image] button.

  • Exercise name should be less than 100 characters.

Adding Meal

  1. Click meal database hyperlink on PalmBFL Home or Select Meal Database option from Setup menu.

  2. Select Regular from meal type dropdown.
  3. You’ll see following Meal Setup Screen.

  4. Click on [image] button. This will bring focus to Meal Name field.

  5. Enter meal name in Meal name field.
  6. Fill details of various portions like Calories, Total Fat, Saturated Fat, Sugar, Cholesterol, Dietary Fiber, Potassium, Sodium, Total Carbohydrate and Protein.
  7. Add your comments or reminders by clicking in Note area and entering the text.
  8. Click on [image] button.

  • You can able to add food from USDA food to your meal database by checking USDA Nutritional Database option. Meal Setup form looks like as follows after you check USDA Nutritional Database option.

  • USDA Nutritional Database is not pr ovided at palm. But the food added from USDA Nutritional Database to your meal database is accessible over there as well.

Adding Supplement

  1. Click meal database hyperlink on PalmBFL Home or Select Meal Database option from Setup menu.

  2. Select Supplement from meal type dropdown. You’ll see following Meal Setup screen.

  3. Click on [image] button. This will bring focus to Meal Name field.

  4. Enter meal name in Meal name field.
  5. Fill details of various portions like Calories, Total Fat, Saturated Fat, Sugar, Cholesterol, Dietary Fiber, Potassium, Sodium, Total Carbohydrate and Protein.
  6. Add your comments or reminders by clicking in Note area and entering the text.
  7. Click [image] button.

  • You can able to add food from USDA food to your meal database by checking USDA Nutritional Database option.

  • USDA Nutritional Database is not pr ovided at palm. But the foods added from USDA Nutritional Database to your meal database is accessible over there as well.

Reports

PalmBFL Desktop provides various reports similar in appearance as of Body-for-LIFE. We also designed some reports, which we think are really useful to improve your Body-for-LIFE, like Photo Album, Graph Report and Measurement Report.

- Printing Report:

  • Click Report hyperlink for respective reports on PalmBFL Home or Select appropriate report option from Daily Reports or Progress Reports menu.

  • Make sure that the user name is correct.
  • Click on Print... button.

- Report formats are given below:

Upper Body Exercise Report

Aerobics Report

Lower Body Exercise Report

Daily Meal Report

Measurement Report

Similarly, you can obtain report on Vital Measurement.

Photo Album

Photo album displays selected images with few measurements like chest, weight, waist and hips. This album is generated with the help of entries you made through Measurement Form. It displays four images on one page. You can scroll for next or previous four sets of images if any.

Graph

When you select Graph from Reports menu. In physical measurement graph report, it displays 9 small charts of different parts like – chest, shoulders and etc. You can click on any one of them to change it to detail mode. Detail mode view provides all information like – date and measurement value. Clicking on Detail mode chart make you return to small size mode where you can see all 9 charts. If you keep mouse pointer on some bar for few seconds, bubble help appears which displays its value. Graph reports are also available for Vital Measurement and Sleep.

Support

Frequently Asked Questions

Frequently Asked Questions (FAQ) are questions that our customers routinely ask us or email about. We divided it in two different sections.

Palm

  1. I am having problem installing Palm component of PalmBFL software. I ran the PalmBFLSetup.exe for installation. After that I hotsynced. But PalmBFL will not install on the Palm device. What should I do to install it?

    Start your Palm desktop application. Click on Install button, which is at left-down corner, to launch Install tool. Select user. Click on Add&ldots; button on it and select PalmBFL.prc from folder where setup has copied all files. Then click on Done button. Now, PalmBFL is ready to hotsync. Insert Palm in cradle and press hotsync button on the cradle.

  2. I put in the registration code to both the desktop and the Palm and it says invalid code.

    We generate the registration code based on your "Hotsync ID". It is case sensitive. On desktop, you can enter it in "Welcome/Registration Screen" and Click on "Register" button. This screen appears each time application starts, if you are unregistered user. On Palm Handheld, you can register PalmBFL at any time during the evaluation period as follows. On PalmBFL Home, open the menu by tapping on Palm’s silk-screen menu button. Select "Registration" from "Options" menu. There you can enter registration code in the provided space and tap on "Register".

Desktop

  1. If I create record, for daily upper and lower body, where Plan exercise is different than Actual exercise than report only shows Actual.

    If you see the standard reports of Body-for-LIFE, for daily upper and lower body exercise, you’ll notice that Actual exercise is not included in it. We decided to design PalmBFL reports closer to the standard as much is possible. But we thought it would be helpful to present actual exercise instead of presenting plan when they are not the same.

Technical Support

All questions regarding PalmBFL can be submitted to support@cellica.com. PalmBFL is an unofficial software product, for Body-for-LIFE, of Cellica Software Services. It is not affiliated with or endorsed by: Bill Philips, BodyForLife.com http://www.bodyforlife.com/, EAS http://www.eas.com/ or Muscle Media http://www.musclemedia.com. Please do not contact Mr. Bill Philips, EAS or Muscle Media for questions regarding PalmBFL.


Tips

You can use the tips given below so that you can work efficiently with PalmBFL. We divided tips in two section: Palm side tips and Desktop side tips.

Palm Side Tips

  1. Use Up and Down hard buttons on Daily Upper and Lower body exercise screens to enter Reps, Weight, Rest and Intensity values.

  2. You can tap twice to enter repetitions, weight, rest period and intensity on the Daily Exercise and Start Exercise screens using Palm's Graffiti.
  3. Use Menus, which are provided on all screens for faster navigation.
  4. You can add user with Users and Goals setup screen or by directly accessing popup list, which appears to upper right side of the daily activity screens.
  5. You change the goal with Users and Goals setup screen or by directly accessing popup list, which appears to upper right side of the daily activity screens.
  6. You can turn on or off alarm facility from Preferences screen, which can be accessed from Options menu on PalmBFL. This will turn on or off alarm for all users.
  7. You can use Start Exercise screen while you are working at gym. You can use various hard buttons on your Palm for entering the values or navigation."
  8. On Start Exercise screen, you can use Date Book Hard button to start or stop rest period clock.
  9. On Start Exercise screen, you can use Address Book Hard button for previous set.
  10. On Start Exercise screen, you can use To Do Hard button for next set.
  11. Use Up and Down hard buttons on Start Exercise screen to enter Reps, Weight, Rest and Intensity values.
  12. It is possible that only selected meals and exercises will appear on Daily Meal and Daily Exercise screen. This can be done by selecting/deselecting checkbox in front of meal/exercise name in respected setup forms.
  13. When you click on Daily Exercise button, 3 Month Calender appears. Selected button on this calender represents your current day.
  14. Buttons with dotted shade represents actual values for your workout are entered.
  15. Default user for PalmBFL can be set with Preferences screen, which appear while you tap on Preferences option of Options menu.
  16. If you want to show the goal every time user changes then select Show goal each time on Preferences screen which appears while you tap on Preferences option of Options menu.
  17. To enter the duration between measurements, Tap Preferences option of Options menu and enter Take after days field.
  18. You can select for how long goal window should be displayed on the screen from Preferences screen which appears by tapping Preferences option of Options menu.
  19. You can scroll on the same type of exercise by selecting Continue exercise on Preferences screen, which appears while you tap on Preferences option of Options menu.
  20. Weights, which you add through editing on forms like Start Exercise or Daily Exercise form, are saved for later access. so next time you scroll weight values, those valus would be available to you.
  21. You can toggle between day and date mode on Start Exercise screen by tapping on Upper Left corner of the screen.
  22. All the Body related computations are done in new form Measurement Details which can be loaded by tapping on graphical button near the Setup button in the Measurement form.
  23. You can view the photograph by tapping on the Male graphical button on the Measurement Details form.
  24. You can delete the photograph on the palm on tapping on Delete icon the lower right corner of photograph window in the Measurement Details form.
  25. Now PalmBFL has charting feature for your progress tracking. You can access this feature by visiting to Graphs form by selecting Graphs from the Main Menu.
  26. You can scroll the graph by to the left or right by using the left and right button which are at the lower right corner on the Graph form. You can achieve the same functionality by dragging using the stylus.
  27. You can now select the multiple meals for a single interval in the daily meal form.
  28. "Use ""Customization"" to customize your BFL cycle as per your schedule"
  29. Plan Unplan on daily exercise forms helps you to maintain the status of your workout. Planned contents will get stored where as unplanned contents will be lost as you left that form
  30. Using daily exercise customization, you can manage your free days, change body for life sequence(Upper Body->Aerobics->Lower Body->Aerobics), Add days in BFL cycle, delete planned/performed contents etc.

Desktop Side Tips

  1. Desktop side also provides meal time alarms.

  2. You can turn off the alarm sound by selecting Mute All option from menu, which appears when you right click on PalmBFL Alerter Icon that is in system tray.
  3. User list can be accessed through Users List option from menu, which appears when you right click on PalmBFL Alerter Icon that is in system tray.
  4. Closing PalmBFL Desktop window just hides it. To remove it, you need to select Exit option from menu which appears when you right click on PalmBFL Alerter Icon which is in system tray, But it will disable Desktop Meal Alarms.
  5. Deselecting user name from Users List option from menu, which appears in system tray after clicking on PalmBFL Alerter Icon, will mute alarm sound of that specific user.
  6. You can toggle state of PalmBFL Desktop window from Hide to Show and vice-versa by selecting Hide or Show option from menu which appears when you right click on PalmBFL Alerter Icon which is in system tray.
  7. You can give focus or display PalmBFL Desktop window by clicking on PalmBFL Alerter Icon.
  8. You can print the reports by clicking on Print... button on any report.
  9. PalmBFL now supports various Body related computations such as Waist-to-Hip ratio, Body Mass Index(BMI), Heart rate and Body Fat Percentage. All the calculations can be done using new form viz. Utilities as well as Measurement Form.
  10. You can calculate Body Fat Percentage by using YMCA as well as US Army method for male and female. Computation can be done on Measurement form as well as Utilities form.
  11. You can add your own photograph using Measurement Form and get it on the palm after HoySync.
  12. You can study the progress in your body by viewing all the photographs in a single place. Select Photo Album from Report menu.
  13. It is possible to take printout of a single photograph. Click on the thumbnail image, which will open the PalmBFL Viewer. You can use the Print... option in its image menu to take printout.
  14. Now you can compare the progress in your body throughout the Body-for-LIFE program by using the charts. Just select Comparision Report from Reports Menu.
  15. You can Zoom-In or Zoom-Out of the graph by clicking the icons below the graphs.
  16. Now you can perform common Windows Operations such as Cut, Copy and Paste using commands "Ctrl+X", "Ctrl+C" and "Ctrl+V" respectively, on any form of the PalmBFL.
  17. You can now add multiple meals in the single interval on Daily Meal Form.
  18. You now have access to the full USDA database. You can add any meal form the USDA database by checking the "USDA Nutritional Database" button and adding the desired meal from the database and by clicking "Add to our database" button.
  19. "Use ""Customization"" to customize your BFL cycle as per your schedule"
  20. Using daily exercise customization, you can manage your free days, change body for life sequence(Upper Body->Aerobics->Lower Body->Aerobics), Add days in BFL cycle, delete planned/performed contents etc.


hotsyncpbfl

Hotsyncing PalmBFL

This topic explain how to hotsync PalmBFL. For more information about hotsync, refer your Palm Desktop help.

  • Make sure that hotsync manager is running. You can verify this by looking at bottom right corner on the task bar. If you can see [image] icon there that means hotsync is running, otherwise click on Start > Programs > Palm Desktop and then select HotSync Manager.

  • Put your Palm handheld device in HotSync cradle.
  • Press Hotsync button on cradle. And, you are on your way to hotsync your all data.

You can also change hotsync options.

  • Right click on [image] icon in taskbar. You will see following option screen:

  • Select Custom... option from there. You will see following window.

  • Double click on PalmBFL or Select PalmBFL option and click on Change... button. You will see following screen:

  • Now you can change hotsync options for PalmBFL. You can select to Synchronize the files, Desktop overwrites Handheld, Handheld overwrites Desktop or Do Nothing. All option statements are self-explaining. You can even set any option as default for every run of hotsync by selecting "Set as Default" checkbox.


Disclaimer

PalmBFL is independently developed software. Please, do not contact Mr. Bill Phillips, EAS Inc, or any related authority of Body-for-LIFE, regarding PalmBFL. Please consult with your physician before using PalmBFL. Cellica Software Services do not assume any responsibility for the use of this software.